| Classes - Annotated - Tree - Functions - Home - Structure

# QVBoxLayout Class Reference

The QVBoxLayout class lines up widgets vertically. More...

`#include <qlayout.h>`

Inherits QBoxLayout.

List of all member functions.

## Public Members

- QVBoxLayout ( QWidget * parent, int border=0, int space = -1, const char * name=0 )
- QVBoxLayout ( QLayout * parentLayout, int space = -1, const char * name=0 )
- QVBoxLayout ( int space = -1, const char * name=0 )
- ~QVBoxLayout ()

## Detailed Description

The QVBoxLayout class lines up widgets vertically.

This class provides an easier way to construct vertical box layout objects. See QBoxLayout for more details.

The simplest way to use this class is:

         QBoxLayout * l = new QVBoxLayout( widget );
         l->addWidget( aWidget );
         l->addWidget( anotherWidget );

See also QHBoxLayout, QGridLayout and Layout overview documentation

Examples: layout/layout.cpp i18n/main.cpp scrollview/scrollview.cpp customlayout/main.cpp

## Member Function Documentation

### QVBoxLayout::QVBoxLayout ( QLayout * parentLayout, int space = -1, const char * name=0 )

Constructs a new vertical box and adds it to parentLayout.

### QVBoxLayout::QVBoxLayout ( QWidget * parent, int border=0, int space = -1, const char * name=0 )

Constructs a new top-level vertical box.

### QVBoxLayout::QVBoxLayout ( int space = -1, const char * name=0 )

Constructs a new vertical box. You have to add it to another layout.

### QVBoxLayout::~QVBoxLayout ()

Destructs this box.

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2000 Trolltech, all rights reserved.